import type { Extension } from "@codemirror/state";
import type { WebsocketProvider } from "y-websocket";
import { type Text } from "yjs";
import { type InitKeyMapsOptions } from "./keymaps";
import { type InitListenersOptions } from "./listeners";
import { type InitMarkdownOptions } from "./markdown";
import { type InitSettingsOptions } from "./settings";
import { type InitThemeOptions } from "./theme";
export type ExtensionsOptions = InitListenersOptions & InitThemeOptions & InitSettingsOptions & InitMarkdownOptions & InitKeyMapsOptions;
export type InitExtensionsOptions = {
    multiCursorText: Text | undefined;
    provider: WebsocketProvider | undefined;
} & ExtensionsOptions;
export declare const initExtensions: ({ onBlur, onChange, onFocus, onEnter, readonly, vimMode, multiCursorText, provider, theme, dark, light, languages, }: InitExtensionsOptions) => Extension[];
