import { type EditorView, WidgetType } from "@codemirror/view";
export declare class ImageWidget extends WidgetType {
    private readonly text;
    private readonly link;
    view: EditorView | undefined;
    constructor(text: string, link: string);
    /** recursively find the link text node in line */
    getTextNode(line: ChildNode | Node | null | undefined): ChildNode | null;
    getMinLength(): number;
    isCorrectNode(node: ChildNode | Node | null | undefined): node is ChildNode | Node;
    selectLink(node: ChildNode | Node, selection: Selection, start?: number): void;
    handleClick(event: MouseEvent): false | undefined;
    toDOM(view: EditorView): HTMLElement;
    destroy(dom: HTMLElement): void;
}
