import { type EditorView, WidgetType } from "@codemirror/view";
export declare class LinkWidget extends WidgetType {
    private readonly text;
    private readonly link;
    private readonly type;
    view: EditorView | undefined;
    constructor(text: string, link: string, type: "link" | "auto");
    /** recursively find the link text node in line */
    getTextNode(line: ChildNode | Node | null | undefined): ChildNode | null;
    getMinLength(): number;
    /** check that the text node is correct node */
    isCorrectNode(node: ChildNode | Node | null | undefined): node is ChildNode | Node;
    selectLink(node: ChildNode | Node, selection: Selection): void;
    handleClick(event: MouseEvent): false | undefined;
    toDOM(view: EditorView): HTMLElement;
    destroy(dom: HTMLElement): void;
}
