import { EditorView } from "@codemirror/view";
import { type WebsocketProvider } from "y-websocket";
import { type EditorArguments } from "./Editor.types";
export declare class Editor {
    view: EditorView;
    provider: WebsocketProvider | undefined;
    arguments: EditorArguments;
    constructor(options: EditorArguments);
    focus: () => void;
    getContent: () => string;
    setReadonly: (readonly: boolean) => void;
    setTheme: (theme?: "dark" | "light") => void;
    setVimMode: (mode: boolean) => void;
    setUserProvider: (name?: string, color?: string) => void;
    destroy: () => void;
}
export type EditorInterface = typeof Editor;
